Subject: randconfig errors

From: [email-masked] (Marc Zyngier)
Date: Fri, 15 Feb 2013 19:22:01 +0000

On 15/02/13 19:16, Christoffer Dall wrote:
> On Fri, Feb 15, 2013 at 1:47 PM, Marc Zyngier <[email-masked]> wrote:
>> On Fri, 15 Feb 2013 19:22:37 +0100, Marc Zyngier <[email-masked]>
>> wrote:
>>> On Fri, 15 Feb 2013 11:25:56 -0600, Rob Herring <[email-masked]>
>>> wrote:
>>>> Errors from randconfig builds restricted to multi-platform configs on
>>>> the current linux-next. I know I've seen a fix on the first one from
>>>> Arnd, but have not investigated any of these.
>>>>
>>>
>>>>
>>>
>> /var/lib/jenkins/jobs/linux-randconfig/workspace/include/linux/kvm_host.h:333:34:
>>>> error: 'KVM_USER_MEM_SLOTS' undeclared here (not in a function)
>>>
>>> This one comes from bbacc0c (KVM: Rename KVM_MEMORY_SLOTS ->
>>> KVM_USER_MEM_SLOTS).
>>> I'll queue a patch to fix the breakage...
>>
>> Looks like there's a few more, and what was brewing in kvm-next had some
>> side effects.
>>
>> Christoffer, I'll send the patches separately.
>>
> I was kind of hoping that the KVM guys would have pulled the KVM/ARM
> stuff into kvm/next and it could have been fixed up there.... The
> patches are really trivial though iirc.

Indeed they are. Probably an oversight from the KVM guys. Sent them
anyway...

	M.
-- 
Jazz is not dead. It just smells funny...